org.eclnt.util.chart.util

## Class CylinderRenderer

- java.lang.Object
- - BarRenderer3D
  - - org.eclnt.util.chart.util.CylinderRenderer

-     public class CylinderRenderer
      extends BarRenderer3D

  A custom renderer that draws cylinders to represent data from a CategoryDataset in a CategoryPlot.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CylinderRenderer()` Default constructor.
    `CylinderRenderer(double xOffset, double yOffset)` Creates a new renderer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawItem(java.awt.Graphics2D g2, CategoryItemRendererState state, java.awt.geom.Rectangle2D dataArea, CategoryPlot plot, CategoryAxis domainAxis, ValueAxis rangeAxis, CategoryDataset dataset, int row, int column, int pass)` Draws a cylinder to represent one data item.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CylinderRenderer

          public CylinderRenderer()

      Default constructor.

    - #### CylinderRenderer

          public CylinderRenderer(double xOffset,
                                  double yOffset)

      Creates a new renderer.
      Parameters:
        `xOffset` - the x-offset for the 3D effect.
        `yOffset` - the y-offset for the 3D effect.

  - ### Method Detail

    - #### drawItem

          public void drawItem(java.awt.Graphics2D g2,
                               CategoryItemRendererState state,
                               java.awt.geom.Rectangle2D dataArea,
                               CategoryPlot plot,
                               CategoryAxis domainAxis,
                               ValueAxis rangeAxis,
                               CategoryDataset dataset,
                               int row,
                               int column,
                               int pass)

      Draws a cylinder to represent one data item.
      Parameters:
        `g2` - the graphics device.
        `state` - the renderer state.
        `dataArea` - the area for plotting the data.
        `plot` - the plot.
        `domainAxis` - the domain axis.
        `rangeAxis` - the range axis.
        `dataset` - the dataset.
        `row` - the row index (zero-based).
        `column` - the column index (zero-based).
        `pass` - the pass index.

Copyright © CaptainCasa Gmbh. All Rights Reserved.